Method: projects.locations.estimateDataSize

הערכה של גודל הנתונים שבהם ישתמש לקוח.

בקשת HTTP


POST https://discoveryengine.googleapis.com/v1alpha/{location=projects/*/locations/*}:estimateDataSize

כתובות ה-URL כתובות בתחביר של gRPC Transcoding.

פרמטרים של נתיב

פרמטרים
location

string

חובה. השם המלא של המשאב של המיקום, למשל projects/{project}/locations/{location}.

גוף הבקשה

גוף הבקשה מכיל נתונים במבנה הבא:

ייצוג ב-JSON
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "websiteDataSource": {
    object (WebsiteDataSource)
  },
  "fileDataSource": {
    object (FileDataSource)
  }
  // End of mutually exclusive fields.
}
שדות
מקור הנתונים שאנחנו מעריכים את הגודל שלו. הרשימה הבאה כוללת שדות שאי אפשר להשתמש בהם בו-זמנית. בכל תשובה יוגדר לכל היותר אחד מהשדות:
websiteDataSource

object (WebsiteDataSource)

נתונים מהאתר.

fileDataSource

object (FileDataSource)

נתונים מובנים או לא מובנים.

סוף השדות הבלעדיים.

גוף התשובה

אם הפעולה בוצעה ללא שגיאות, גוף התגובה יכיל מופע של Operation.

היקפי הרשאות

נדרש אחד מהיקפי ההרשאות הבאים של OAuth:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

ניתן למצוא מידע נוסף כאן: Authentication Overview.

הרשאות IAM

נדרשת הרשאת IAM הבאה במשאב location:

  • discoveryengine.locations.estimateDataSize

מידע נוסף מופיע במאמרי העזרה בנושא IAM.

WebsiteDataSource

מקור נתונים הוא קבוצה של דפוסי אתרים שאנחנו סורקים כדי לקבל את המספר הכולל של האתרים.

ייצוג ב-JSON
{
  "estimatorUriPatterns": [
    {
      object (EstimatorUriPattern)
    }
  ]
}
שדות
estimatorUriPatterns[]

object (EstimatorUriPattern)

חובה. תבניות ה-URI להערכת גדלי הנתונים. אפשר להשתמש בעד 10 תבניות, אחרת מוצגת השגיאה INVALID_ARGUMENT.

EstimatorUriPattern

תבניות URI שבהן אנחנו משתמשים לסריקה.

ייצוג ב-JSON
{
  "providedUriPattern": string,
  "exactMatch": boolean,
  "exclusive": boolean
}
שדות
providedUriPattern

string

תבנית URI שסופקה על ידי המשתמש. לדוגמה, foo.com/bar/*.

exactMatch

boolean

האם המערכת מסיקה את ה-URI שנוצר או משתמשת ב-URI המדויק שסופק.

exclusive

boolean

האם התבנית היא בלעדית או לא. אם המדיניות מוגדרת כ-True, התבנית נחשבת בלעדית. אם המדיניות לא מוגדרת או מוגדרת כ-False, התבנית נחשבת ככוללת כברירת מחדל.

FileDataSource

מקור הנתונים מכיל קבצים ב-Cloud Storage או ב-BigQuery.

ייצוג ב-JSON
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "gcsSource": {
    object (GcsSource)
  },
  "bigquerySource": {
    object (BigQuerySource)
  }
  // End of mutually exclusive fields.
}
שדות
המקור שמכיל את הקבצים שבהם רוצים להשתמש. הרשימה הבאה כוללת שדות שאי אפשר להשתמש בהם בו-זמנית. בכל תשובה יוגדר לכל היותר אחד מהשדות:
gcsSource

object (GcsSource)

מיקום ב-Cloud Storage של תוכן הקלט.

bigquerySource

object (BigQuerySource)

מקור קלט של BigQuery.

סוף השדות הבלעדיים.